#!/bin/sh
# Copyright (c) 2000 Sinby.com
# All Rights Reserved
#
# This project is covered by the GNU General Public License. */
#
# $Id: mkjar.sh,v 1.3 2001/06/20 13:06:05 ryos Exp $

cat << JUNKY
#include <sinby/kaffe/jar_driver.h>
#ifdef CYGFUN_KAFFE_JAR_LOAD_JAR_FILE 
#define ENTRY ECOS_JAR_FILE_RESERVE_ENTRY_DEFAULT
#else
#define ENTRY ECOS_JAR_FILE_ENTRY_DEFAULT
#endif

JUNKY

for i in $*
do
	echo ENTRY\($i,\"$i.jar\"\)\;
done
